#ifndef __KIF_SLIDEDIALOG_H
#define __KIF_SLIDEDIALOG_H
 
#include <qdialog.h>
#include <knuminput.h>
#include <qcheckbox.h>
#include <qradiobutton.h>

class KIFSlideDialog : public QDialog
{
    Q_OBJECT
public:
    KIFSlideDialog(QWidget *parent=0, const char *name=0);
    bool loop(){return(loopCB->isChecked());}
    int delay(){return(delayEdit->value());}
    bool useFileList(){return(fileListBtn->isChecked());}
    bool useDirList(){return(dirListBtn->isChecked());}
    bool useMaxpect(){return(maxCB->isChecked());}
protected:
    QCheckBox *loopCB, *maxCB;
    KIntNumInput *delayEdit;
    QRadioButton *fileListBtn, *dirListBtn;
};

#endif

