#ifndef __KIF_EFFECT_DIALOGS_H
#define __KIF_EFFECT_DIALOGS_H

#include <qdialog.h>
#include <qcheckbox.h>
#include <knuminput.h>

class KIFSineWaveDialog : public QDialog
{ 
public:
    KIFSineWaveDialog(QWidget *parent=0, const char *name=0);
    double amplitude(){return(aInput->value());}
    double frequency(){return(fInput->value());}
protected:
    KDoubleNumInput *aInput, *fInput;
};

class KIFShadeDialog : public QDialog
{
public:
    KIFShadeDialog(QWidget *parent=0, const char *name=0);
    double azimuth(){return(aInput->value());}
    double elevation(){return(eInput->value());}
    bool colorShading(){return(colorCB->isChecked());}
protected:
    KDoubleNumInput *aInput, *eInput;
    QCheckBox *colorCB;
};



#endif
